#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Fixed_Group.H>

//
// Simple example program to test the Fl_Fixed_Group widget
//

int main() {
  Fl_Double_Window win(470,470,"test-fixed-group");
  win.size_range(470,470);
  Fl::scheme("plastic");

  Fl_Fixed_Group top(220,10,30,30,"top");
    top.align(FL_ALIGN_INSIDE);
    top.attach(FL_FIXED_GROUP_TOP);
    top.color(FL_WHITE);
    top.box(FL_UP_BOX);
  top.end();

  Fl_Fixed_Group rt(430,220,30,30,"rt");
    rt.align(FL_ALIGN_INSIDE);
    rt.attach(FL_FIXED_GROUP_RIGHT);
    rt.color(FL_WHITE);
    rt.box(FL_UP_BOX);
  rt.end();

  Fl_Fixed_Group bot(220,430,30,30,"bot");
    bot.align(FL_ALIGN_INSIDE);
    bot.attach(FL_FIXED_GROUP_BOTTOM);
    bot.color(FL_WHITE);
    bot.box(FL_UP_BOX);
  bot.end();

  Fl_Fixed_Group lt(10,220,30,30,"lt");
    lt.align(FL_ALIGN_INSIDE);
    lt.attach(FL_FIXED_GROUP_LEFT);
    lt.color(FL_WHITE);
    lt.box(FL_UP_BOX);
  lt.end();

  Fl_Fixed_Group ct(220,220,30,30,"ct");
    ct.align(FL_ALIGN_INSIDE);
    ct.attach(FL_FIXED_GROUP_NONE);
    ct.color(FL_WHITE);
    ct.box(FL_UP_BOX);
  lt.end();

  Fl_Fixed_Group topleft(10,10,200,200,"top left");
    topleft.align(FL_ALIGN_INSIDE);
    Fl_Button b1(20,20,100,25,"Button");
    b1.color(FL_CYAN);
    topleft.attach(FL_FIXED_GROUP_TOPLEFT);
    topleft.color(FL_RED);
    topleft.box(FL_PLASTIC_UP_BOX);
  topleft.end();

  Fl_Fixed_Group topright(260,10,200,200,"top right");
    topright.align(FL_ALIGN_INSIDE);
    Fl_Button b2(270,20,100,25,"Button");
    b2.color(FL_CYAN);
    topright.attach(FL_FIXED_GROUP_TOPRIGHT);
    topright.color(FL_YELLOW);
    topright.box(FL_PLASTIC_UP_BOX);
  topright.end();

  Fl_Fixed_Group botleft(10,260,200,200,"bot left");
    botleft.align(FL_ALIGN_INSIDE);
    Fl_Button b3(20,270,100,25,"Button");
    b3.color(FL_CYAN);
    botleft.attach(FL_FIXED_GROUP_BOTTOMLEFT);
    botleft.color(FL_GREEN);
    botleft.box(FL_PLASTIC_UP_BOX);
  botleft.end();

  Fl_Fixed_Group botright(260,260,200,200,"bot right");
    botright.align(FL_ALIGN_INSIDE);
    Fl_Button b4(270,270,100,25,"Button");
    b4.color(FL_CYAN);
    botright.attach(FL_FIXED_GROUP_BOTTOMRIGHT);
    botright.color(FL_BLUE);
    botright.box(FL_PLASTIC_UP_BOX);
  botright.end();

  win.resizable(win);
  win.show();
  return(Fl::run());
}

